*{
    padding:0;
    margin:0;
    font-family: 'poppins',sans-serif;
    box-sizing:border-box ;
}

:root{
    --body-color:#efefef;
    --nav-color:#1876f2;
    --bg-color:#fff;
}
.dark-theme{
    --body-color:#0a0a0a;
    --nav-color:#000;
    --bg-color:#000;
}


body{
    background:var(--body-color);
    transition: background 0.4s;
}
nav{
    display:flex;
    justify-content: space-between;
    align-items: center;
    background:var(--nav-color);
    padding:5px 5%;
    position:sticky;
    top:0;
    z-index: 100;
}
.logo{
    width:160px;
    margin-right: 45px;
}
.nav-left, .nav-right{
    display: flex;
    align-items: center;
}
.nav-left ul li{
   list-style: none;
   display: inline-block;
}
.nav-left ul li img{
    width:28px;
    margin:0 15px;
}
.nav-user-icon img{
    width:40px;
    border-radius: 50%;
    cursor: pointer;

}
.nav-user-icon{
    margin-left:30px;
}
.online{
    position: relative;
}
.online::after{
    content: '';
    width:7px;
    height:7px;
    border: 2px solid #777;
    border-radius: 50%;
    background: #41db51;
    position: absolute;
    top:0;
    right:0;
}
.search-box{
    background:#efefef;
    width:350px;
    border-radius:20px;
    display: flex;
    align-items: center;
    padding:0 15px;
}
.search-box img{
    width:18px;
}
.search-box input{
    width:100%;
    background: transparent;
    padding:10px;
    outline: none;
    border: 0;
}


/*--------Contaoner---------*/




.container{
    display: flex;
    justify-content: space-between;
    padding:13px 5%;
}
.left-sidebar{
    flex-basis: 25%;
    position: sticky;
    top:70px;
    align-self: flex-start;
}

.right-sidebar{
    flex-basis: 25%;
    position: sticky;
    top:70px;
    align-self: flex-start;
    background: var(--bg-color);
    padding:20px;
    border-radius: 4px;
    color:#626262;

}
.main-content{
    flex-basis: 47%;
}
.imp-links a, .shortcut-links a{
   text-decoration:none ; 
   display: flex;
   align-items: center;
   margin-bottom: 30px;
   color:#626262;
   width:fit-content;
}
.imp-links a img{
    width:25px;
    margin:15px;
}
.imp-links a:last-child{
    color:var(--nav-color);
}
.imp-links{
    border-bottom:1px solid #ccc;
}
.shortcut-links a img{
    width:40px;
    border-radius: 4px;
    margin-right: 15px;
}
.shortcut-links p{
   margin:25px 0 ; 
   color:#626262;
   font-weight: 500;
}

/*-------RightsideBar-------*/


.sidebar-titel{
    display:flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 18px;
}
.sidebar-titel h4{
    font-weight: 600;
    font-size: 16px;
}
.sidebar-titel a{
    text-decoration: none;
    color:#1876f2;
    font-size: 12px;
}
.event{
   display:flex; 
   font-size:14px ;
   margin-bottom: 20px;
}
.left-event{
 border-radius: 10px;
 height:65px;
 width:65px;
 margin-right: 15px;
 padding-top: 10px; 
 text-align: center;
 position: relative;
 overflow: hidden;
 box-shadow: 0 0 10px rgba(0,0,0,0.1);
}
.event p{
    font-size: 12px;

}
.event a{
    font-size: 12px;
    text-decoration: none;
    color:#1876f2;
}
.left-event span{
    position:absolute;
    bottom: 0;
    left:0;
    width:100%;
    background:#1876f2 ;
    color:#fff;
    font-size: 10px;
    padding:4px 0;
}
.sidebar-ads{
    width:100%;
    margin-bottom:20px ;
    border-radius: 4px;
}
.online-list{
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}
.online-list .online img{
      width:40px;
      border-radius: 50%;
}
.online-list .online{
    width:40px;
    border-radius: 50%;
    margin-right: 15px;
}
.online-list .online::after{
    top:unset;
    bottom: 5px;
}


/*------main------*/
.story-gallery{
   display: flex; 
   justify-content: space-between;
   margin-bottom: 20px;
}
.story{
    flex-basis: 18%;
    padding-top: 32%;
    position: relative;
    background-position: center;
    background-size: cover;
    border-radius: 10px;
}
.story img{
    position: absolute;
    width:45px;
    border-radius: 50%;
    top:10px;
    left:10px;
    border: 5px solid #1876f2;

}
.story p{
    position: absolute;
    bottom: 10px;
    width:100%;
    text-align: center;
    color:white;
    font-size: 14px;
}
.story1{
    background-image:linear-gradient(transparent,rgba(0,0,0,0.5)), url(images/status-1.png);
    cursor: pointer;
}
.story2{
    background-image:linear-gradient(transparent,rgba(0,0,0,0.5)), url(images/status-2.png);
    cursor: pointer;
}

.story3{
    background-image:linear-gradient(transparent,rgba(0,0,0,0.5)), url(images/status-3.png);
    cursor: pointer;

}
.story4{
    background-image:linear-gradient(transparent,rgba(0,0,0,0.5)), url(images/status-4.png);
    cursor: pointer;
}
.story5{
    background-image:linear-gradient(transparent,rgba(0,0,0,0.5)), url(images/status-5.png);
    cursor: pointer;
}
.story.story1 img{
    top:unset;
    left:50%;
    bottom:40px;
    transform: translateX(-50%);
    border:0;
    width:35px;
}
.write-post-container{
    width:100%;
    background: var(--bg-color);
    border-radius: 6px;
    padding:20px;
    color: #626262;
}
.user-profile{
  display: flex;  
  align-items: center;

}
.user-profile img{
    width:45px;
    border-radius: 50%;
    margin-right: 10px;
}
.user-profile p{
    margin-bottom: -5px;
    font-weight: 500;
    color:#626262;

}
.user-profile  small{
    font-size: 12px;
}
.fa-sharp{
    margin-left: 10px;
}
.post-input-container{
    padding-left:55px;
    padding-top:20px;
}
.post-input-container textarea{
    width:100%;
    outline:0;
    border: 0;
    border-bottom: 1px solid #626262;
    background: transparent;
    resize:none;
}
.add-post-links{
    display: flex;
    margin-top: 10px;

}
.add-post-links a{
    text-decoration: none;
    display: flex;
    align-items: center;
    color:#626262;
    margin-right: 30px;
    font-size: 13px;
}
.add-post-links a img{
    width:20px;
    margin-right: 10px;
}
.post-container{
    width:100%;
    background: var(--bg-color);
    border-radius: 6px;
    padding:20px;
    color:#626262;
    margin:20px 0;
}
.user-profile span{
    font-size: 13px;
    color:#9a9a9a;
}


/*-----post-container------*/
.post-container{
    width:100%;
    background: var(--bg-color);
    border-radius: 6px;
    padding: 20px;
    color:#626262;
    margin: 20px 0;
}
.user-profile span{
    font-size: 13px;
    color:#9a9a9a;
}
.post-text{
    margin: 15px 0;
    font-weight: 400;
    color:#9a9a9a ;
    font-size:15px ;


}
.post-img{
width:100%;
border-radius: 4px;
margin-bottom: 5px;
}

.post-row{
    display: flex;
    align-items: center;
    justify-content:space-between;

}
.activity-icons div img{
    width:18px;
    margin-right: 10px;
}
.activity-icons div{
    display: inline-flex;
    align-items: center;
}
.post-profile-icon{
    display: flex;
    align-items: center;
    margin-left: 50px;

}
.post-profile-icon img{
    width:20px;
    border-radius:50% ;

}
.activity-icons div{
    display: inline-flex;
    align-items: center;
    margin-right:40px ;
}
.post-row a{
    color:#9a9a9a;
}

.load-more-btn{
    display: block;
    margin: auto;
    cursor: pointer;
    padding:5px 10px;
    border: 1px solid #9a9a9a;
    color:#626262;
    background: transparent;
    border-radius: 4px;
}
.load-more-btn:hover{
    color:#1876f2;
    border: 1px solid #1876f2;
}


.footer{
    text-align: center;
    color:#9a9a9a;
    padding: 10px 0 20px;
    font-size: 13px;
}




/*-------------dropdown-profile-picture-----------------*/

.setting-menu{
    position: absolute;
    width:90%;
    max-width: 350px;
    background: var(--bg-color);
    box-shadow: 0 0 10px rgba(0,0,0,0.4);
    border-radius: 4px;
    overflow:hidden ;
    top:108%;
    right:5%; 
    max-height: 0;
    transition: max-height 0.3s;
}
.setting-menu-height{
     max-height: 450px;
}
.user-profile a{
    font-size: 12px;
    color:#1876f2;
    text-decoration: none;
}
.setting-menu-inner{
    padding:20px;
}
.setting-menu hr{
    border: 0;
    height:1px;
    background: #9a9a9a;
    margin:15px 0;
}
.settings-links{
    display: flex;
    align-items: center;
    margin:15px 0;

}
.settings-links .settings-icon{
    width:38px;
    margin-right:10px;
    border-radius: 50%;
}
.settings-links a{
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: space-between;
    text-decoration: none;
    color:#626262;
}


/*------Dark-Mode-------*/


#dark-btn{
   position: absolute; 
   top:20px;
   right:20px;
   background: #ccc;
   width:45px;
   border-radius: 40px;
   padding:2px 3px;
   cursor: pointer;
   display: flex;
   transition: padding-left 0.5s, background 0.5s;
}
#dark-btn span{
    width:18px;
    height:18px;
    background: #fff;
    border-radius: 50%;
    display: inline-block;
}
#dark-btn.dark-btn-on{
    padding-left:23px;
    background: #000;
}




/* ---------Profile Page--------- */

.profile-container{
    padding:20px 15%;
    color:#626262;

}
.cover-img{
    width:100%;
    border-radius: 6px;
    margin-bottom:14px ;
}
.profile-detail{
    background: var(--bg-color);
    padding:20px;
    border-radius: 4px;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}
.pd-image{
   width:100px;
   margin-right: 20px;
   border-radius: 6px;

}
.pd-row div h3{
    font-size:25px;
    font-weight: 600;


}
.pd-row div p{
    font-size: 13px;
}
.pd-row div img{
    width:25px;
    border-radius: 50%;
    margin-top: 12px;
}
.pd-right button{
    background: #1876f2;
    border: 0;
    outline: 0;
    padding:10px 6px;
    display: inline-flex;
    align-items: center;
    color:#fff;
    border-radius: 3px;
    margin-left: 10px;
    cursor: pointer;
}
.pd-right button img{
    height:15px;
    margin-right:10px ;
}
.pd-right button:first-child{
    background: #e4e6eb;
    color: #000;
}
.pd-right{
    text-align: right;
}
.pd-right a{
    background: #e4e6eb;
    border-radius:3px ;
    padding:12px ;
    display: inline-flex;
    margin-top: 30px;
}
.pd-right a img{
    width:20px ;
}
.profile-info{
    display: flex;
    align-items: flex-start;
    justify-content:space-between ;
    margin-top: 20px;
}
.info-col{
  flex-basis:33% ; 
}
.post-col{
    flex-basis: 65%;
}
.profile-intro{
    background: var(--bg-color);
    padding:20px;
    margin-bottom:20px;
    border-radius:4px ;
}
.profile-intro h3{
    font-weight: 600;
}
.intro-text{
    text-align: center;
    margin: 10px 0;
    font-size: 15px;
}
.intro-text img{
   width:15px;
   margin-bottom:-3px ; 
}
.profile-intro hr{
    border: 0;
    height: 1px;
    background: #ccc;
    margin: 24px 0;
}
.profile-intro ul li{
    list-style: none;
    font-size: 15px;
    margin: 15px 0;
    display: flex;
    align-items: center;
}
.profile-intro ul li img{
    width:26px;
    margin-right: 10px;
}
.titel-box{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.titel-box a{
    text-decoration: none;
    color: var(--nav-color);
    font-size: 14px;

}
.photo-box{
   display:grid;
   grid-template-columns:repeat(3,auto) ;
   grid-gap: 10px;
   margin-top: 15px;
}
.photo-box div img{
    width:100%;
    cursor: pointer;
}
.profile-intro p{
 font-size: 14px;

}
.friends-box{
    display:grid;
    grid-template-columns:repeat(3,auto) ;
    grid-gap: 10px;
    margin-top: 15px;
}
.friends-box div img{
    width:100%;
    cursor: pointer;
    padding-bottom: 20px;
}
.friends-box div{
    position: relative;
}
.friends-box p{
    position: absolute;
    bottom: 0;
    left: 0;
}



/* -----------media query for home------------ */


@media(max-width:900px){
    .right-sidebar{
        display: none;
    }
    .left-sidebar{
        display: none;
    }
    nav{
        flex-wrap: wrap;
    }
    .search-box{
        display: none;
    }
    .logo{
        width:110px;
        margin-right: 20px;
    }
    .nav-left ul li img{
       width:20px;
       margin: 0 8px;
    }
    .nav-user-icon img{
        width:30px;
    }
    .nav-user-icon{
        margin-left: 0;
    }
    .add-post-links{
        flex-wrap: wrap;
    }
    .main-content{
        flex-basis: 100%;
    }
    .story img{
        width:30px;
        border-width: 3px;
    }
    .story p{
        font-size: 10px;
    }
    .story.story1 img{
        width:25px;
        bottom: 30px;
    }
    .add-post-links a{
        margin-right: 12px;
        font-size: 9px;
    }
    .add-post-links a img{
        width:16px;
        margin-right: 5px;
    }
    .post-input-container{
        padding-left: 0;
    }

}

/* ---------media query for profile Page----------- */


@media(max-width:900px){
    .profile-container{
        padding:20px 5%;
    }
    .profile-detail{
        flex-wrap: wrap;
    }
    .pd-right{
        text-align: left;
        margin-top: 15px;
    }
    .pd-right button{
        margin-left: 0;
        margin-right:10px ;
    }
    .pd-row div h3{
        font-size: 16px;
    }
    .profile-info{
        flex-wrap: wrap;
    }
    .info-col{
        flex-basis: 100%;
    }
    .post-col{
        flex-basis: 100%;
    }
}